【活用ガイド】

[English]

JVNDB-2014-000118

Direct Web Remoting (DWR) におけるクロスサイトスクリプティングの脆弱性

概要

Direct Web Remoting (DWR) は、Ajax アプリケーションを Java で開発するためのフレームワークです。DWR には、クロスサイトスクリプティングの脆弱性 (CWE-79) が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 三井物産セキュアディレクション株式会社 寺田 健 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


Direct Web Remoting
  • DWR Version 2.0.10 およびそれ以前
  • DWR Version 3.0.RC2 およびそれ以前

想定される影響

ユーザのウェブブラウザ上で、任意のスクリプトが実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに DWR を最新版へアップデートし、DWR を利用して開発したアプリケーションの JAR ファイルを置き換えてください。
ベンダ情報

Direct Web Remoting
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-5326
参考情報

  1. JVN : JVN#52422792
  2. National Vulnerability Database (NVD) : CVE-2014-5326
更新履歴

[2014年11月14日]
  掲載
[2014年11月25日]
  参考情報:National Vulnerability Database (NVD) (CVE-2014-5326) を追加